Skip to main content
PATCH
Update business

Authorizations

Authorization
string
header
required

Partner-level JWT token (unscoped). Token payload includes partner_id. Business access is validated via partner ownership. Format: Bearer <your-jwt-token>

Use this for: Multi-business operations where the business_id is specified in the URL and partner has access to multiple businesses.

Path Parameters

business_id
string<uuid>
required

A UUID string identifying this business.

Body

Serializer for updating existing businesses

Legal registered name of the business

Required string length: 1 - 255
entity_type
string

Business entity type (e.g., 'limited', 'gmbh', 'bv')

phone_number
string

Business phone number

tin
string

Tax identification number (other than VAT)

vat_number
string

EU VAT registration number

Maximum string length: 20
company_number
string

Company registration number (e.g., Companies House number for UK)

Maximum string length: 20
province
string

Province or state within the country

Maximum string length: 100
eu_nace_industry_code
string

European NACE industry classification code

Maximum string length: 10
email
string<email>

Primary email address for the business

Minimum string length: 1
accounting_method
enum<string>

Accounting method: 'cash' or 'accrual'

  • cash - Cash Basis
  • accrual - Accrual Basis
Available options:
cash,
accrual
fiscal_year_end
string<date>

Fiscal year end date (format: YYYY-MM-DD)

metadata
any

Custom JSON metadata for partner-specific data

Response

200 - application/json

Serializer for updating existing businesses

Legal registered name of the business

Maximum string length: 255
entity_type
string

Business entity type (e.g., 'limited', 'gmbh', 'bv')

phone_number
string

Business phone number

tin
string

Tax identification number (other than VAT)

vat_number
string

EU VAT registration number

Maximum string length: 20
company_number
string

Company registration number (e.g., Companies House number for UK)

Maximum string length: 20
province
string

Province or state within the country

Maximum string length: 100
eu_nace_industry_code
string

European NACE industry classification code

Maximum string length: 10
email
string<email>

Primary email address for the business

accounting_method
enum<string>

Accounting method: 'cash' or 'accrual'

  • cash - Cash Basis
  • accrual - Accrual Basis
Available options:
cash,
accrual
fiscal_year_end
string<date>

Fiscal year end date (format: YYYY-MM-DD)

metadata
any

Custom JSON metadata for partner-specific data